> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Port-In Availability (Public)

> Check port-in availability for phone numbers without authentication



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/number-porting/toolbox/port-in-availability
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/number-porting/toolbox/port-in-availability:
    post:
      tags:
        - Number Porting
      summary: Check Port-In Availability (Public)
      description: Check port-in availability for phone numbers without authentication
      parameters:
        - schema:
            type: string
          in: query
          name: noAuthKey
          required: false
        - schema:
            type: string
          in: query
          name: noAuth
          required: false
        - schema:
            type: string
          in: query
          name: key
          required: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                numbers:
                  type: array
                  prefixItems:
                    - type: string
                      pattern: ^[1-9]\d{9}$
                  items:
                    type: string
                    pattern: ^[1-9]\d{9}$
                  description: Numbers
              required:
                - numbers
              additionalProperties: false
      responses:
        '200':
          description: Availability results
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: number
                      description: Group ID
                    numbers:
                      type: array
                      items:
                        type: object
                        properties:
                          telephoneNumber:
                            type: string
                            description: Phone number
                          serviceProviderName:
                            type: string
                            description: Service provider name
                        required:
                          - telephoneNumber
                          - serviceProviderName
                        additionalProperties: {}
                      description: Number portability results
                    csrLookupResult:
                      anyOf:
                        - {}
                        - type: 'null'
                      description: CSR lookup result
                  required:
                    - id
                    - numbers
                    - csrLookupResult
                  additionalProperties: {}
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````